%define name rox-magickthumbnail
%define oname MagickThumbnail
%define version 0.5.1
%define release 3mdk

Summary: Thumbnail image generator for the ROX desktop
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://roxos.sunsite.dk/dev-contrib/guido/%{oname}.tar.bz2
Patch: rox-magickthumbnail-first-frame.patch.bz2
License: GPL
Group: Graphical desktop/Other
Url: http://roxos.sunsite.dk/dev-contrib/guido/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: rox-lib >= 1.9.12
Requires: rox >= 2.1.1
Requires: ImageMagick
BuildArch: noarch

%description
This application can generate thumbnails of the various filetypes,
readable by ImageMagick, for display by ROX-Filer.

%prep
%setup -q -n %oname
%patch -p1
rm -f Help/.README.swp

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/apps/%oname
cp -r .DirIcon * %buildroot%_libdir/apps/%oname

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %_libdir/apps/%oname/Help/
%dir %_libdir/apps/%oname/
%_libdir/apps/%oname/.DirIcon
%_libdir/apps/%oname/*.xml
%_libdir/apps/%oname/*.py
%_libdir/apps/%oname/AppRun

%changelog
* Thu Jun 02 2005 Gtz Waschk <waschk@mandriva.org> 0.5.1-3mdk
- Rebuild

* Fri May 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-2mdk
- only thumbnail the first frame (usefull for 1000 page pdfs)

* Fri Mar  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- new version

* Thu Mar  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- add missing icon

* Thu Mar  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- initial package
